{
  sources ? import ./npins,
  nixpkgs ? sources.nixpkgs,
  pkgs ? import nixpkgs { overlays = [ (import ./overlay.nix) ]; },
}:
rec {
  inherit pkgs;
  shell = pkgs.mkShell {
    packages = [
      python
      pkgs.ruff
    ];
  };
  python = pkgs.python3.withPackages (ps: [
    ps.mypy
    ps.click
    ps.click-log
    ps.uptime-kuma-api
  ]);
  evalModules =
    (pkgs.lib.evalModules {
      modules = [
        ./nixos/module.nix
        (
          { lib, ... }:
          {
            _module.args.pkgs = lib.mkDefault pkgs;
          }
        )
      ];
    }).extendModules;
}
