{ lib, python3 }:

python3.pkgs.buildPythonApplication rec {
  pname = "stateless-uptime-kuma";
  version = "unstable";
  pyproject = true;

  src =
    with lib.fileset;
    toSource {
      root = ./.;
      fileset = difference (intersection (gitTracked ./.) (
        fileFilter (file: !file.hasExt "nix") ./.
      )) ./tests;
    };

  nativeBuildInputs = with python3.pkgs; [ hatchling ];

  propagatedBuildInputs = with python3.pkgs; [
    uptime-kuma-api
    requests
    click
    click-log
  ];

  meta = with lib; {
    description = "A python tool to create uptime-kuma probes";
    license = licenses.eupl12;
    maintainers = with maintainers; [ ];
  };
}
