{
  lib,
  buildPythonPackage,
  fetchFromGitHub,
  setuptools,
  wheel,
  packaging,
  python-socketio,
  requests,
}:

buildPythonPackage rec {
  pname = "uptime-kuma-api";
  version = "1.2.1";
  pyproject = true;

  src = fetchFromGitHub {
    owner = "lucasheld";
    repo = "uptime-kuma-api";
    rev = version;
    hash = "sha256-Mgp4bSQPiEeulK9dAl+Di4Nj1HG3oVFGKr1bIdRZI44=";
  };

  nativeBuildInputs = [
    setuptools
    wheel
  ];

  propagatedBuildInputs = [
    packaging
    python-socketio
    requests
  ] ++ python-socketio.optional-dependencies.client;

  pythonImportsCheck = [ "uptime_kuma_api" ];

  meta = with lib; {
    description = "A Python wrapper for the Uptime Kuma Socket.IO API";
    homepage = "https://github.com/lucasheld/uptime-kuma-api";
    changelog = "https://github.com/lucasheld/uptime-kuma-api/blob/${src.rev}/CHANGELOG.md";
    license = licenses.mit;
    maintainers = with maintainers; [ ];
  };
}
